<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dépenses</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css">

    <script type="module" src="gestion-taches.js" defer></script>
    <script type="module" src="add.js" defer></script>
</head>
<body>
    <div class="container">
        <header class="row">
            <h1 class="col-12 text-center">Total <span class="js-compteur badge bg-dark"></span></h1>
            <h2 class="col-6 text-center">Dépenses <span class="js-compteur-depenses badge bg-dark"></span></h2>
            <h2 class="col-6 text-center">Recettes <span class="js-compteur-recettes badge bg-dark"></span></h2>
            
        </header>
        <section class="row">
            <h2>liste des Dépenses</h2>
            <table class="table">
                <thead>
                  <tr>
                    <th scope="col">id</th>
                    <th scope="col">nom</th>
                    <th scope="col">montant</th>
                    <th scope="col">actions</th>
                  </tr>
                </thead>
                <tbody class="table-content js-list-tache">
                  <tr>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                </tbody>
              </table>
   
        </section>
        <hr>
        <section class="row">
            <h2>Ajouter une Dépense/recette</h2>
            <form class="d-flex js-form-add">
                <input type="text" name="name" class="form-input" style="flex-grow:1" placeholder="nom">
                <input type="number" name="amount" class="form-input" style="flex-grow:1" placeholder="montant">
                <button class="btn btn-success ms-4">
                    <i class="bi bi-plus-square"></i>
                </button>
            </form>
        </section>
    </div>
</body>
</html>
<!--
    cd jour7-back
    json-server --watch db.json 
-->
<!-- https://billyyyyy3320.com/en/2019/07/21/create-json-server-with-multiple-files/

créer un script récupérer les informations saisis dans le formulaire qui a la class
js-form-add
ET qui va ajouter un nouvel enregistrement dans le fichier db.json 
-->